<?php
/**
 * @category
 * @package
 * @subpackage
 *
 * @author
 * @version $Id$
 * @since
 */
// @TODO edit from production
$yii = dirname(__FILE__).'/../../framework/YiiBase.php';

require_once($yii);

class Yii extends YiiBase {

    /**
     *
     * @return ConsoleApplication
     */
    public static function app() {
        return parent::app();
    }

    /**
     * @param string $config
     * @return ConsoleApplication
     */
    public static function createConsoleApplication($config=null) {
        return self::createApplication('ConsoleApplication',$config);
    }

    /**
     * @param string $config
     * @return WebApplication
     */
    public static function createWebApplication($config=null) {
        return self::createApplication('WebApplication',$config);
    }

    /**
     * @param unknown $class
     * @param string $config
     * @return unknown
     */
    public static function createApplication($class,$config=null) {
        require_once(dirname(__FILE__).DIRECTORY_SEPARATOR.'WebApplication.php');
        require_once(dirname(__FILE__).DIRECTORY_SEPARATOR.'ConsoleApplication.php');
        return new $class($config);
    }
}